Subject: Re: [PATCH v2 7/7] bisect: allows any terms set by user

From: Matthieu Moy <[email-masked]>
Date: Wed, 17 Jun 2015 10:18:20 +0200

Antoine Delaite <[email-masked]> writes:

> Matthieu Moy <[email-masked]> writes: 
>
>>> 
>>>># terms_defined is 0 when the user did not define the terms explicitely 
>>>># yet. This is the case when running 'git bisect start bad_rev good_rev' 
>>>># before we see an explicit reference to a term. 
>>>>terms_defined=0 
>>> 
>>> The thing is: 
>>> 'git bisect reset 
>>> git bisect new HEAD 
>
>>"git bisect new" does not exist. Did you mean "git bisect start HEAD"? 
>
> No I meant new but it can be 'git bisect bad' aswell

OK, answering emails before coffee doesn't suit me well, I did not
remember that the series was about "new" ;-).

(Actually your use-case is not possible yet as of PATCH 3 which
introduces start_bad_good. It is possible after PATCH 4)

> So 
> '
> git bisect reset
> git bisect bad
> answer yes to "autostart ?"
> '

> In the case I rewrited, we saw a 'bad' but terms_defined value in bisect_start
> (called by the autostart) is 0. 

As you said, it is really equivalent to

git bisect start
git bisect bad

the autostart is just a convenience piece of code to run "git bisect
start" for the user, but does not change the logic of the code. Write
good code for the normal case (start, and then bad), and it will just
work without having to worry about in in the autostart case.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/